[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#438885: Mass bug filling: must use invoke-rc.d

Juan Céspedes wrote:

> On 8/24/07, David Claughton <dave@encoresoup.com> wrote:
>> Amaya wrote:
>> >
>> >     if which invoke-rc.d >/dev/null 2>&1; then
>> >             invoke-rc.d package <action>
>> >     else
>> >             /etc/init.d/package <action>
>> >     fi
>> I don't want to be a pest (given I'm not a developer or maintainer), but
>>   I'm just curious - why the conditional?
> invoke-rc.d is present since version 2.80-1 of sysvinit; maybe someone
> could have a modern package with a very old sysvinit, and thus without
> invoke-rc.d

But oldstable has 2.86.ds1-1. I thought that only direct upgrades were
supported. I guess the conditional is indeed redundant.


  Felipe Sateler

Reply to: